<script>
    jQuery(document).on('click', '#startcheck', function () {
        var results = [];
        var ajaxurl = typeof trainingssystem_plugin_v2_ajax !== 'undefined' ? trainingssystem_plugin_v2_ajax.trainingssystem_plugin_v2_ajax_url : null;

        jQuery('.ts-forms-form-{{resultid}} .ts-forms-submitmanually').html('Speichern').removeClass("mb-3").addClass('btn-info');

        jQuery('#beforestart').hide();

        updateBar(0);
        jQuery('#progbar').show();

        //toggle class selected mit checked
        jQuery('input').click(function () {
            jQuery('input:not(:checked)').parent().removeClass("selected");
            jQuery('input:checked').parent().addClass("selected");
        });


        var allefragen = [];
        jQuery('.form-group:not(.result-field)').each(function () {
            allefragen.push(jQuery(this));
        });

        //random order of questions
        randomizeArray(allefragen);

        console.log("allefragen.length: " + allefragen.length);
        /*alle fragen bis auf die erste werden versteckt:*/
        for (var k = 1; k < allefragen.length; k++) {
            if (allefragen[k] != null) {
                allefragen[k].hide();
            }
        }
        allefragen[0].parent().parent().parent().show();

        jQuery('#fragen').show();

        jQuery('input').click(function (e) {
                nextpage();
                setTimeout('jQuery("input").removeAttr("disabled")', 1000);
        });
        jQuery('#prev').click(function () {
            prevpage();
        });

        var done = 0;
        var next = 0;
        var part = 100 / allefragen.length;

        /*Weiterleitung Vor:*/
        function nextpage() {
            jQuery('#progbar').show();
            jQuery('#prev').fadeIn();
            next++;
            if (next < allefragen.length) {
                allefragen[next - 1].fadeOut(function () {
                    //checkfinish();
                    //givequestion();
                    if (allefragen[next] != undefined) {
                        allefragen[next].fadeIn();
                        allefragen[next - 1].parent().parent().parent().hide();
                        allefragen[next].parent().parent().parent().show();
                        done = done + part;
                        updateBar(done);
                    }
                    else {
                        next = qanzahl;
                    }
                });
            }
            if (next == allefragen.length) {
                done = part * allefragen.length;
                updateBar(done);
                allefragen[allefragen.length - 1].fadeOut();
                allefragen[allefragen.length - 1].parent().parent().parent().hide();
                auswertung();

                jQuery('#progbar').hide();
                jQuery('#prev').hide();

            }
            jQuery('input').attr("disabled", "disabled")
        };
        /**/


        /*Zurück*/
        function prevpage() {
            next--;
            if (next < allefragen.length - 1) {
                allefragen[next + 1].fadeOut(function () {

                    //checkfinishbackwards();
                    allefragen[next].fadeIn();
                    allefragen[next + 1].parent().parent().parent().hide();
                    allefragen[next].parent().parent().parent().show();
                    done = done - part;
                    updateBar(done);

                })
            }
            if (next == 0) {
                jQuery('#prev').fadeOut();
            }
        };


        // jQuery('#auswerten').on('click', function() {
        //   auswertung();
        // });

        /******************************Auswertung****************************************************************************/

        function auswertung() {
            var code = '';
            jQuery('#ergebnis').show();

            var RRI01v = jQuery('.RRI01v .selected input').val();
            var RRA06v = jQuery('.RRA06v .selected input').val();
            var RRS11v = jQuery('.RRS11v .selected input').val();
            var RRE27v = jQuery('.RRE27v .selected input').val();
            var RRC23v = jQuery('.RRC23v .selected input').val();

            var IIR16v = jQuery('.IIR16v .selected input').val();
            var IIA02v = jQuery('.IIA02v .selected input').val();
            var IIS09v = jQuery('.IIS09v .selected input').val();
            var IIE13v = jQuery('.IIE13v .selected input').val();
            var IIC29v = jQuery('.IIC29v .selected input').val();

            var AAR21v = jQuery('.AAR21v .selected input').val();
            var AAI17v = jQuery('.AAI17v .selected input').val();
            var AAS03v = jQuery('.AAS03v .selected input').val();
            var AAE07v = jQuery('.AAE07v .selected input').val();
            var AAC15v = jQuery('.AAC15v .selected input').val();

            var SSR26v = jQuery('.SSR26v .selected input').val();
            var SSI24v = jQuery('.SSI24v .selected input').val();
            var SSA18v = jQuery('.SSA18v .selected input').val();
            var SSE04v = jQuery('.SSE04v .selected input').val();
            var SSC10v = jQuery('.SSC10v .selected input').val();

            var EER12v = jQuery('.EER12v .selected input').val();
            var EEI28v = jQuery('.EEI28v .selected input').val();
            var EEA22v = jQuery('.EEA22v .selected input').val();
            var EES19v = jQuery('.EES19v .selected input').val();
            var EEC05v = jQuery('.EEC05v .selected input').val();

            var CCR08v = jQuery('.CCR08v .selected input').val();
            var CCI14v = jQuery('.CCI14v .selected input').val();
            var CCA30v = jQuery('.CCA30v .selected input').val();
            var CCS25v = jQuery('.CCS25v .selected input').val();
            var CCE20v = jQuery('.CCE20v .selected input').val();

            var R = 0;
            var I = 0;
            var A = 0;
            var S = 0;
            var E = 0;
            var C = 0;
            var R1 = 0;
            var I1 = 0;
            var A1 = 0;
            var S1 = 0;
            var E1 = 0;
            var C1 = 0;
            var R2 = 0;
            var I2 = 0;
            var A2 = 0;
            var S2 = 0;
            var E2 = 0;
            var C2 = 0;

            // Berechnung von https://arbeitsblaetter.stangl-taller.at/TEST/SIT/Test.shtml
            R1 = (5 - RRI01v) + (5 - RRA06v) + (5 - RRS11v) + (5 - RRE27v) + (5 - RRC23v);
            I1 = (5 - IIR16v) + (5 - IIA02v) + (5 - IIS09v) + (5 - IIE13v) + (5 - IIC29v);
            A1 = (5 - AAR21v) + (5 - AAI17v) + (5 - AAS03v) + (5 - AAE07v) + (5 - AAC15v);
            S1 = (5 - SSR26v) + (5 - SSI24v) + (5 - SSA18v) + (5 - SSE04v) + (5 - SSC10v);
            E1 = (5 - EER12v) + (5 - EEI28v) + (5 - EEA22v) + (5 - EES19v) + (5 - EEC05v);
            C1 = (5 - CCR08v) + (5 - CCI14v) + (5 - CCA30v) + (5 - CCS25v) + (5 - CCE20v);

            R2 = (IIR16v + AAR21v + SSR26v + EER12v + CCR08v);
            I2 = (RRI01v + AAI17v + SSI24v + EEI28v + CCI14v);
            A2 = (RRA06v + IIA02v + SSA18v + EEA22v + CCA30v);
            S2 = (RRS11v + IIS09v + AAS03v + EES19v + CCS25v);
            E2 = (RRE27v + IIE13v + AAE07v + SSE04v + CCE20v);
            C2 = (RRC23v + IIC29v + AAC15v + SSC10v + EEC05v);


            //realistisch
            R = R1 + R2 - 10;

            //intellektuell
            I = I1 + I2 - 10;

            //künstlerisch
            A = A1 + A2 - 10;

            //sozial
            S = S1 + S2 - 10;

            //unternehmerisch
            E = E1 + E2 - 10;

            //konventionell
            C = C1 + C2 - 10;

            ganz = R + I + A + S + E + C;
            prozent = 100 / ganz;
            R = Math.round((6 * R * prozent) + 5.98199568910483);
            I = Math.round((6 * I * prozent) + 2.95718693207827);
            A = Math.round((6 * A * prozent) - 3.75723764845569);
            S = Math.round((6 * S * prozent) - 15.9033853176158);
            E = Math.round((6 * E * prozent) + 3.32403533239957);
            C = Math.round((6 * C * prozent) + 7.39740501246378);

            var text_R = 'Als "realistischer" Typ bevorzugst du Tätigkeiten, die Kraft, Koordination und Handgeschicklichkeit erfordern und zu konkreten, sichtbaren Ergebnissen führen, insbesondere im handwerklichen, technischen und landwirtschaftlichen Bereich. Das sind zum Beispiel Arbeiten mit Werkzeugen und Maschinen, mit denen man etwas zerlegt oder zusammenbaut. Aber auch verschiedene Formen des Modellbaus und Reparaturarbeiten in der Wohnung oder im Garten gehören dazu. Dabei kommt es in der Regel darauf an, irgendetwas Konkretes, d.h., Sichtbares zu produzieren. Solche Tätigkeiten werden auch meist alleine ausgeführt, wobei du gewissermaßen mit deinem Werkstück eine "Partnerschaft" eingehst. Viele dieser Arbeiten werden im Freien ausgeführt und verlangen körperliche Robustheit und Ausdauer. Typische Berufsfelder für Menschen mit solchen Interessen sind etwa alle Arten von Handwerken und die Landwirtschaft.';
            var text_I = 'Als "intellektueller" Typ bevorzugst du Aktivitäten, bei denen die Bewältigung von Aufgaben oder Problemen durch Denken, systematische Beobachtung, Untersuchung oder Forschung erforderlich ist. Dazu benötigt man Fähigkeiten und Fertigkeiten vor allem im mathematischen und naturwissenschaftlichen Bereich, in die du dich auch gerne vertiefst. Dein "Werkzeug" ist dabei vorzugsweise dein Gehirn, wobei du Spaß an ungelösten Fragen und Problemen hast, die du mit deiner Neugier lösen möchtest. Beispiele dafür sind alle Formen fachwissenschaftlicher Tätigkeit, wobei du dein Wissen und deine Kenntnisse auch gerne anderen weitergibst. Zu den klassischen Berufsfeldern zählen die Forschung und die Wissenschaft.';
            var text_A = 'Als "künstlerischer" Typ bevorzugst du offene, unstrukturierte Aktivitäten, die eine sprachliche oder künstlerische Selbstdarstellung oder die Schaffung kreativer Produkte ermöglichen. Alles, was der Verschönerung und Gestaltung der Umwelt dient, gehört dabei zu den zentralen Aufgaben. Bei diesem Interessenstypus dominiert häufig die Selbstdarstellung und die Präsentation der eigenen Person bzw. der eigenen Gedanken. Wichtig dabei ist meist ein dankbares Publikum zu haben, das dann den wohlverdienten Applaus spendet. Berufe erfordern in diesem Bereich ein hohes Ausmaß an Kreativität, aber auch Begabung und eine große Portion an Ausdauer. Die Berufsfelder liegen hier im Bereich Literatur, Kunst, Musik und Schauspiel.';
            var text_S = 'Als "sozialer" Typ bevorzugst du Tätigkeiten, bei denen du dich mit anderen Menschen in Form von Unterricht, Lehren, Ausbilden, Versorgen oder Pflegen befassen kannst. Die erforderlichen Stärken liegen im Bereich der zwischenmenschlichen Beziehungen, wobei du dich um das seelische oder körperliche Wohlergehen anderer Menschen annimmst. Das wichtigste für dich ist es, mit einem oder mehreren Menschen - gleichgültig ob jung oder alt - zusammen zu sein. Das Gespräch und der Meinungsaustausch sind dir dabei ein Anliegen, wobei du gerne anderen tatkräftig hilfst. Zu den typischen Berufsfeldern zählen neben Bildungseinrichtungen auch das Gesundheitswesen und die Sozialarbeit.';
            var text_E = 'Als "unternehmerischer" Typ bevorzugst du Tätigkeiten und Situationen, bei denen du Menschen mit Hilfe der Sprache oder auch anderer Mittel beeinflussen willst, um sie zu etwas zu bringen, sie zu führen und zu überzeugen. Deine Stärken sind dabei Führungs- und Überzeugungsqualität. Auch dieser Typ ist auf andere Menschen gerichtet, wobei hier eher die Leitung und Lenkung dieser anderen im Vordergrund stehen. Es macht dir Spaß, etwas zu organisieren, etwas zu leiten oder zu verkaufen. Man benötigt dazu sicheres Auftreten und wirtschaftliches Denken, sodass die klassischen Berufsfelder im Verkauf, in der Werbung aber auch in Leitungs- und Führungspositionen liegen.';
            var text_C = 'Als "konventioneller" Typ bevorzugst du Tätigkeiten, bei denen der strukturierte regelhafte Umgang mit Daten im Vordergrund steht, insbesondere bei ordnend-verwaltenden Tätigkeiten. Deine Stärken liegen im Bereich rechnerischer und geschäftlicher Fähigkeiten. Dieser Typ liebt vor allem jenen Teil der wissenschaftlichen Tätigkeiten, bei denen es auf das Sammeln und Auswerten von Informationen ankommt. Dein "Werkzeug" ist häufig der Computer, mit dem man in der Regel Zahlen und Daten meisterhaft jonglieren kann. Die typischen Arbeitsfelder sind dabei kaufmännische und verwaltende Berufe, aber auch das Büro zählt dazu.';

             results = [
                {
                    name: 'Realistische Orientierung',
                    value: R,
                    text: text_R,
                    acronym: 'R'
                },
                {
                    name: 'Intellektuelle Orientierung',
                    value: I,
                    text: text_I,
                    acronym: 'I'
                },
                {
                    name: 'Künstlerische Orientierung',
                    value: A,
                    text: text_A,
                    acronym: 'A'
                },
                {
                    name: 'Soziale Orientierung',
                    value: S,
                    text: text_S,
                    acronym: 'S'
                },
                {
                    name: 'Unternehmerische Orientierung',
                    value: E,
                    text: text_E,
                    acronym: 'E'
                },
                {
                    name: 'Konventionelle Orientierung',
                    value: C,
                    text: text_C,
                    acronym: 'C'
                }
            ];

            // Nach Ergebnis sortieren
            results.sort(function (a, b) {
                return a.value - b.value;
            });


            // Ausgabe in absteigender Reihenfolge als Accordion
            for (var i = results.length - 1; i >= 0; i--) {
                jQuery('.result_list').append('<div id = "accordion' + i + '"class= "card ts-accordion"><div class="card-header " id="card-heading' + i + '"><button class="btn btn-link accordiontitle accordiontitle-small collapsed" data-toggle="collapse" data-target="#collapsethis' + i + '" data-parent="#accordion' + i + '" aria-expanded="false" aria-controls="collapsethis' + i + '"><i class="fas fa-plus ts-accordion-plus"></i>' + results[i].name +': '+ results[i].value + '% </button></div><div id="collapsethis' + i + '" class="collapse" aria-labelledby="card-heading' + i + '" data-parent="#accordion' + i + '" style=""><div class="accordion-inner card-body "><p>' + results[i].text + '</p></div></div></div >');

                if(i > 2){
                    code = String(code +results[i].acronym);
                jQuery("#code").text(code);
                }
            }

            if (R > 0 && I > 0 && A > 0 && S > 0 && E > 0 && C > 0) {
                jQuery('.generalinfo').show();
            }

            // Speichern
            {% if resultid is not empty and userid != 0 %}

            var resultObj = new Object();
            resultObj['realistisch'] = R;
            resultObj['intellektuell'] = I;
            resultObj['kuenstlerisch'] = A;
            resultObj['sozial'] = S;
            resultObj['unternehmerisch'] = E;
            resultObj['konventionell'] = C;

            jQuery('.ts-forms-form-{{resultid}} .ts-forms-element-{{resultid}}').first().val(JSON.stringify(resultObj));

            {% endif %}

            {% if userid != 0 %}

            jQuery.ajax({
                type: 'POST',
                url: ajaxurl,
                data: {
                    "action": "check_completed",
                    "checktitle": '{{ title }}',
                    "url": location.href
                },
                error: function (errorThrown) {
                    console.error("check completed ajax failed:");
                    console.error(errorThrown);
                }
            });

            {% endif %}


            /* start radar chart */
            var radar_chart = new Chart(
                document.getElementById('radar_chart'),
                {
                    type: 'radar',
                    data: {
                        //labels: ['realistisch', 'intellektuell', 'künstlerisch', 'sozial', 'unternehmerisch', 'konventionell'],
                        labels: ['Die Handwerklichen (R)', 'Die Forschenden (I)', 'Die Kuenstlerischen (A)', 'Die Helfenden (S)', 'Die Unternehmerischen (E)', 'Die Organisierenden (C)'],
                        datasets: [
                            {
                                data: [R, I, A, S, E, C],
                                borderColor: '#fcba03',
                                backgroundColor: 'rgba(247, 165, 23, 0.3)',
                            },
                        ]
                    },
                    options: {
                        responsive: true,
                        plugins: {
                            legend: {
                                display: false,
                            },
                            title: {
                                display: true,
                            }
                        },
                        scale: {
                            min: 0,
                            max: 160,
                        },
                    },
                }
            );
            jQuery('#result-code').css('display', 'block')
        }; /*Auswertung-Ende*/

        ////////////////////////////// Progressbar/////

        function updateBar(d) {
            var rounded = Math.round(d);
            jQuery('#progbar-numb').html("<p class='mb-0 mx-auto my-auto'>" + rounded + "%</p>");
            jQuery('#progbar-inner').css({ 'width': d + "%" });
        }

        function randomizeArray(arr) {
            for (var i = arr.length - 1; i > 0; i--) {
                var j = Math.floor(Math.random() * (i + 1));
                var temp = arr[i];
                arr[i] = arr[j];
                arr[j] = temp;
            }
            return arr;
        }

        {% if resultid is not empty and userid != 0 %}

        jQuery(document).on('click', '.ts-forms-form-{{resultid}} .ts-forms-submitmanually', function (e) {

            jQuery.ajax({
                type: 'POST',
                url: ajaxurl,
                data: {
                    "action": "check_saved",
                    "checktitle": '{{ title }}',
                    "url": location.href
                },
                error: function (errorThrown) {
                    console.error("check saved ajax failed:");
                    console.error(errorThrown);
                }
            });
        });

        {% endif %}
        jQuery('#downloadPdfSit').click(function(event) {
            // get size of report page
            var reportPageHeight = jQuery('#reportPageSit').innerHeight();
            var reportPageWidth = jQuery('#reportPageSit').innerWidth();

            // create a new canvas object that we will populate with all other canvas objects
            var pdfCanvas = jQuery('<canvas />').attr({
                id: "canvaspdf",
                width: reportPageWidth,
                height: reportPageHeight
            });

            // keep track canvas position
            var pdfctx = jQuery(pdfCanvas)[0].getContext('2d');
            var pdfctxX = 0;
            var pdfctxY = 0;
            var buffer = 100;

            // get the chart height/width
            var canvasHeight = jQuery("#polar_chart").innerHeight();
            var canvasWidth = jQuery("#polar_chart").innerWidth();

            // draw the chart into the new canvas
            pdfctx.drawImage(jQuery("#radar_chart")[0], pdfctxX, pdfctxY, canvasWidth, canvasHeight);
            pdfctxX += canvasWidth + buffer;

            // create new pdf and add our new canvas as an image
            var pdf = new jspdf.jsPDF({ orientation: 'p', format: 'a4' });


            var newCanvas = document.querySelector('#radar_chart');

            //create image from dummy canvas
            var newCanvasImg = newCanvas.toDataURL("image/png", 1.0);

            pdf.addImage(newCanvasImg, 'PNG', 17, 20, 100, 100);

            //realistisch
            pdf.setFontSize(12);
            pdf.setTextColor(69, 135, 107);
            var texttemp1 = "Realistische Orientierung : " + (results[results.map(function (item) { return item.acronym; }).indexOf("R")]).value + "%"
            pdf.text(122, 35, texttemp1);

            console.log("(results[results.map(function (item) { return item.acronym; }).indexOf(R)]).value : " + (results[results.map(function (item) { return item.acronym; }).indexOf("R")]).value)

            pdf.setFontSize(9);
            pdf.setLineWidth(1);
            pdf.setDrawColor(69, 135, 107);
            pdf.rect(120, 30, 70, 95);

            var reportText = 'Als "realistischer" Typ bevorzugst du Tätigkeiten, die Kraft, Koordination und Handgeschicklichkeit erfordern und zu konkreten, sichtbaren Ergebnissen führen, insbesondere im handwerklichen, technischen und landwirtschaftlichen Bereich. Das sind zum Beispiel Arbeiten mit Werkzeugen und Maschinen, mit denen man etwas zerlegt oder zusammenbaut. Aber auch verschiedene Formen des Modellbaus und Reparaturarbeiten in der Wohnung oder im Garten gehören dazu. Dabei kommt es in der Regel darauf an, irgendetwas Konkretes, d.h., Sichtbares zu produzieren. Solche Tätigkeiten werden auch meist alleine ausgeführt, wobei du gewissermaßen mit deinem Werkstück eine "Partnerschaft" eingehst. Viele dieser Arbeiten werden im Freien ausgeführt und verlangen körperliche Robustheit und Ausdauer. Typische Berufsfelder für Menschen mit solchen Interessen sind etwa alle Arten von Handwerken und die Landwirtschaft.';
            var splitTitle = pdf.splitTextToSize(reportText, 65);
            pdf.setTextColor("#000000");
            pdf.text(122, 40, splitTitle);

            //intellektuell
            pdf.setFontSize(12);

            pdf.setTextColor(0, 0, 0);
            pdf.text(20, 122, "Typ: " + jQuery("#code").text());


            pdf.setTextColor(69, 135, 107);
            var texttemp1 = "Intellektuelle Orientierung : " + (results[results.map(function (item) { return item.acronym; }).indexOf("I")]).value + "%"
            pdf.text(22, 130, texttemp1);

            pdf.setFontSize(9);
            pdf.setLineWidth(1);
            pdf.setDrawColor(69, 135, 107);
            pdf.rect(20, 125, 170, 35);

            var reportText = 'Als "intellektueller" Typ bevorzugst du Aktivitäten, bei denen die Bewältigung von Aufgaben oder Problemen durch Denken, systematische Beobachtung, Untersuchung oder Forschung erforderlich ist. Dazu benötigt man Fähigkeiten und Fertigkeiten vor allem im mathematischen und naturwissenschaftlichen Bereich, in die du dich auch gerne vertiefst. Dein "Werkzeug" ist dabei vorzugsweise dein Gehirn, wobei du Spaß an ungelösten Fragen und Problemen hast, die du mit deiner Neugier lösen möchtest. Beispiele dafür sind alle Formen fachwissenschaftlicher Tätigkeit, wobei du dein Wissen und deine Kenntnisse auch gerne anderen weitergibst. Zu den klassischen Berufsfeldern zählen die Forschung und die Wissenschaft.';
            var splitTitle = pdf.splitTextToSize(reportText, 165);
            pdf.setTextColor("#000000");
            pdf.text(22, 135, splitTitle);

            //künstlerisch
            pdf.setFontSize(12);
            pdf.setTextColor(69, 135, 107);
            var texttemp1 = "Künstlerische Orientierung : " + (results[results.map(function (item) { return item.acronym; }).indexOf("A")]).value + "%"
            pdf.text(22, 165, texttemp1);

            pdf.setFontSize(9);
            pdf.setLineWidth(1);
            pdf.setDrawColor(69, 135, 107);
            pdf.rect(20, 160, 170, 35);

            var reportText = 'Als "künstlerischer" Typ bevorzugst du offene, unstrukturierte Aktivitäten, die eine sprachliche oder künstlerische Selbstdarstellung oder die Schaffung kreativer Produkte ermöglichen. Alles, was der Verschönerung und Gestaltung der Umwelt dient, gehört dabei zu den zentralen Aufgaben. Bei diesem Interessenstypus dominiert häufig die Selbstdarstellung und die Präsentation der eigenen Person bzw. der eigenen Gedanken. Wichtig dabei ist meist ein dankbares Publikum zu haben, das dann den wohlverdienten Applaus spendet. Berufe erfordern in diesem Bereich ein hohes Ausmaß an Kreativität, aber auch Begabung und eine große Portion an Ausdauer. Die Berufsfelder liegen hier im Bereich Literatur, Kunst, Musik und Schauspiel.';
            var splitTitle = pdf.splitTextToSize(reportText, 165);
            pdf.setTextColor("#000000");
            pdf.text(22, 170, splitTitle);


            //Soziale
            pdf.setFontSize(12);
            pdf.setTextColor(69, 135, 107);
            var texttemp1 = "Soziale Orientierung : " + (results[results.map(function (item) { return item.acronym; }).indexOf("S")]).value + "%"
            pdf.text(22, 200, texttemp1);

            pdf.setFontSize(9);
            pdf.setLineWidth(1);
            pdf.setDrawColor(69, 135, 107);
            pdf.rect(20, 195, 170, 35);
            var temptext = 'Als "sozialer" Typ bevorzugst du Tätigkeiten, bei denen du dich mit anderen Menschen in Form von Unterricht, Lehren, Ausbilden, Versorgen oder Pflegen befassen kannst. Die erforderlichen Stärken liegen im Bereich der zwischenmenschlichen Beziehungen, wobei du dich um das seelische oder körperliche Wohlergehen anderer Menschen annimmst. Das wichtigste für dich ist es, mit einem oder mehreren Menschen - gleichgültig ob jung oder alt - zusammen zu sein. Das Gespräch und der Meinungsaustausch sind dir dabei ein Anliegen, wobei du gerne anderen tatkräftig hilfst. Zu den typischen Berufsfeldern zählen neben Bildungseinrichtungen auch das Gesundheitswesen und die Sozialarbeit.';
            var reportText = temptext;
            var splitTitle = pdf.splitTextToSize(reportText, 165);
            pdf.setTextColor("#000000");
            pdf.text(22, 205, splitTitle);

            //Unternehmerische
            pdf.setFontSize(12);
            pdf.setTextColor(69, 135, 107);
            var texttemp1 = "Unternehmerische Orientierung : " + (results[results.map(function (item) { return item.acronym; }).indexOf("E")]).value + "%"
            pdf.text(22, 235, texttemp1);

            pdf.setFontSize(9);
            pdf.setLineWidth(1);
            pdf.setDrawColor(69, 135, 107);
            pdf.rect(20, 230, 170, 30);

            var reportText = 'Als "unternehmerischer" Typ bevorzugst du Tätigkeiten und Situationen, bei denen du Menschen mit Hilfe der Sprache oder auch anderer Mittel beeinflussen willst, um sie zu etwas zu bringen, sie zu führen und zu überzeugen. Deine Stärken sind dabei Führungs- und Überzeugungsqualität. Auch dieser Typ ist auf andere Menschen gerichtet, wobei hier eher die Leitung und Lenkung dieser anderen im Vordergrund stehen. Es macht dir Spaß, etwas zu organisieren, etwas zu leiten oder zu verkaufen. Man benötigt dazu sicheres Auftreten und wirtschaftliches Denken, sodass die klassischen Berufsfelder im Verkauf, in der Werbung aber auch in Leitungs- und Führungspositionen liegen.';
            var splitTitle = pdf.splitTextToSize(reportText, 165);
            pdf.setTextColor("#000000");
            pdf.text(22, 240, splitTitle);

            //konventionelle
            pdf.setFontSize(12);
            pdf.setTextColor(69, 135, 107);
            var texttemp1 = "Konventionelle Orientierung : " + (results[results.map(function (item) { return item.acronym; }).indexOf("C")]).value + "%"
            pdf.text(22, 265, texttemp1);

            pdf.setFontSize(9);
            pdf.setLineWidth(1);
            pdf.setDrawColor(69, 135, 107);
            pdf.rect(20, 260, 170, 30);

            var reportText = 'Als "konventioneller" Typ bevorzugst du Tätigkeiten, bei denen der strukturierte regelhafte Umgang mit Daten im Vordergrund steht, insbesondere bei ordnend-verwaltenden Tätigkeiten. Deine Stärken liegen im Bereich rechnerischer und geschäftlicher Fähigkeiten. Dieser Typ liebt vor allem jenen Teil der wissenschaftlichen Tätigkeiten, bei denen es auf das Sammeln und Auswerten von Informationen ankommt. Dein "Werkzeug" ist häufig der Computer, mit dem man in der Regel Zahlen und Daten meisterhaft jonglieren kann. Die typischen Arbeitsfelder sind dabei kaufmännische und verwaltende Berufe, aber auch das Büro zählt dazu.';
            var splitTitle = pdf.splitTextToSize(reportText, 165);
            pdf.setTextColor("#000000");
            pdf.text(22, 270, splitTitle);
            pdf.setFontSize(35);
            pdf.setTextColor("#377559");
            pdf.text(55, 20, "Interessen-Check");
            // download the pdf
            pdf.save('JOLanDA-Interessen-Check.pdf');
        });

    }); //document ready Ende
</script>

<div class="tspv2_check">
    <div>
        <h1>{{ title }}</h1>
    </div>

    <div id="beforestart">
        <h4>Situativer Interessen Test (SIT) </h4>
        <p>
            In diesem Fragebogen geht es um Tätigkeiten, die man in bestimmten Situationen im Beruf oder in der Freizeit
            ausüben kann. Es werden konkrete Situationen beschrieben, in denen jeweils zwei Tätigkeiten paarweise
            einander gegenübergestellt sind.
        </p>
        <p>
            Du musst dich bei jedem Paar für eine der beiden entscheiden, wobei du eine starke Bevorzugung durch einen
            Klick auf das Auswahlfeld ganz nahe bei einer dieser Tätigkeiten ausdrückst, also &#x1F518; &#9711; &#9711;
            &#9711;
            oder &#9711; &#9711; &#9711; &#128280; . Es wird bei den
            dreißig Situationen aber auch Tätigkeitsbereiche und Tätigkeiten geben, die dich weniger interessieren - in
            diesem Fall entscheide dich bitte für jene, die dich noch am ehesten interessiert und klicke bitte &#9711;
            &#x1F518;
            &#9711; &#9711; bzw. &#9711; &#9711; &#128280; &#9711; an.
        </p>
        <p>
            Denke nicht zu lange nach, sondern entscheide dich spontan!
        </p>
        <p>
            Es kommt in keinem Fall darauf an, ob du die Fähigkeiten für diese Tätigkeiten auch tatsächlich besitzt -
            wichtig ist immer nur deine Neigung für eine der beiden Tätigkeiten, wenn du dich entscheiden müsstest, eine
            davon auszuüben.
        </p>
        <p>
            Bitte lass keine der 30 Fragen aus, denn nur dann ist eine automatische Auswertung und auch richtige
            Interpretation deiner Daten möglich!
        </p>
        {% if userid == 0 %}
        <div class="alert alert-info" role="alert">
            <h5><i class="fas fa-info-circle"></i>&nbsp;Hinweis</h5>
            <p>
                Sie sind momentan nicht angemeldet. Die Durchführung des Checks ist für Sie dennoch möglich und kann
                Ihnen als Modulempfehlung dienen.<br>
                Um Ihre Ergebnisse für spätere Analysen speichern zu können, melden Sie sich bitte <b>vor</b> der
                Durchführung des Checks im System an.
            </p>
        </div>
        {% endif %}

        <a class="btn btn-primary" id="startcheck">Jolanda-Check starten »</a>

    </div>

    <div id="progbar" class="position-relative rounded my-4">
        <div id="progbar-numb" class="d-flex w-100"></div>
        <div id="progbar-inner" class="rounded"></div>
    </div>

    <div id="fragen">

        <div class="realistisch_fragen fragen-thema">
            {{ realistisch|raw }}
        </div>

        <div class="intellektuell_fragen fragen-thema">
            {{ intellektuell|raw }}
        </div>

        <div class="kuenstlerisch_fragen fragen-thema">
            {{ kuenstlerisch|raw }}
        </div>

        <div class="sozial_fragen fragen-thema">
            {{ sozial|raw }}
        </div>

        <div class="unternehmerisch_fragen fragen-thema">
            {{ unternehmerisch|raw }}
        </div>

        <div class="konventionell_fragen fragen-thema">
            {{ konventionell|raw }}
        </div>

        <a class="btn btn-primary" id="prev"><i class="fas fa-chevron-left"></i>&nbsp;zurück</a>

        <!--<a class="btn btn-primary" id="auswerten">Auswertung</a>-->
    </div>
    <!--Fragen Ende-->

    <div id="ergebnis">
        <div class="row">

            <div class="col-12 col-md-6 col-lg-6 col-xl-6">
                <p>
                    <!--
                     Dieser Fragebogen bezieht sich auf deine Interessen. Um die eigenen Fähigkeiten zu testen, sollte man die Tätigkeiten immer auch ausprobieren. Dazu dienen zum Beispiel Girls and Boys Days oder ein Praktikum. Der Interessentest liefert aber wertvolle Hinweise um zu überlegen, welche Tätigkeiten oder Berufe man sich einmal genauer anschauen sollte. Die Testergebnisse können dir auch helfen, wenn du mit professionellen Berufsberater*innen (bspw. von der Agentur für Arbeit) sprichst. Sie können dich mithilfe des Testergebnisses noch zielgenauer beraten.
                    Hier in JOLanDA kannst du dir nun anschauen, welche Berufe gut zu deinem Testergebnis passen würden. Stell dir doch einmal vor wie es wäre, in einem dieser Berufe zu arbeiten.
                    Klicke auf Weiter, um dir entsprechende Berufe anzeigen zu lassen.   
                    -->
                    Was dein Testergebnis bedeutet und wie du damit weiterarbeiten kannst, erfährst du in der nächsten Lektion.
                </p>
            </div>

            <div id="reportPageSit" class="col-12 col-md-6 col-lg-6 col-xl-6">
                <canvas id="radar_chart"></canvas>
                <div style="display: none; text-align: center;" id="result-code">
                    <h1><b> Typ:</b> <span id="code"></span></h1>
                     <div class="mb-5">
                                <div class="w-100">
                                <a class="btn btn-primary" href="#" id="downloadPdfSit">Auswertung als PDF herunterladen</a>
                                </div>
                                </div>
                            </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <div class="result_list"></div>
            </div>
                <div class="col-12">
                    <h5>Hinweis:</h5>
                    <p>
                        Dieser kleine Test - auch wenn er auf einer wissenschaftlichen psychologischen Theorie beruht - kann
                        natürlich ein
                        umfassendes Gespräch oder eine eingehende Untersuchung bei einem Berufs- oder Bildungsberater nicht
                        ersetzen, sondern
                        sollte dir nur eine Anregung geben, dich mit deinen Interessen und Neigungen zu beschäftigen. Es soll auch
                        nachdrücklich
                        darauf hingewiesen werden, dass Interesse und Spaß an einer Sache zwar niemals die Fähigkeiten und die
                        Leistungsbereitschaft ersetzen können, aber sie machen vieles im Beruf oder in der Freizeit einfacher ...
                    </p>
                </div>
        </div>

        <div class="generalinfo mt-5">
            {% if resultid is not empty and userid != 0 %}

            <div class="card mt-4">
                <div class="card-header">
                    <h4 class="m-0">
                        <i class="fas fa-chart-bar"></i>&nbsp;Eingaben speichern?
                    </h4>
                </div>
                <div class="card-body">
                    <p class="mb-0">
                        Möchten Sie Ihre Check-Ergebnisse speichern, um sie zu einem anderen Zeitpunkt wieder abzurufen
                        und Ihre <a href="{{ check_results_overview_link }}">Ergebnisse</a> im zeitlichen Verlauf
                        verfolgen zu können?
                    </p>
                </div>
                <div class="card-footer d-flex flex-row align-items-center">
                    {{result_tsform|raw }}
                    <span class="text-muted pl-3">
                        All Ihre Eingaben auf dieser Plattform können in Ihrem
                        <a href="{{ profile_link }}" target="_blank" title="Persönlicher Bereich">persönlichen
                            Bereich</a> zu einem späteren Zeitpunkt wieder gelöscht werden.
                    </span>
                </div>
            </div>
         
            {% endif %}
        </div>
    </div>

    <!--Ergebnis Ende -->
</div>






